package com.salpa.subject.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.salpa.subject.domain.vo.ProjectSyncRule;

import java.io.Serializable;
import java.sql.Timestamp;
import java.time.LocalDateTime;

/**
 * 项目实体
 *
 * @author zhuff
 */
public class MonitorProject implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 项目ID */
    private Integer id;

    /** 项目名称 */
    private String projectName;

    /** 项目名称 */
    private String projectDescription;

    /** 主题id */
    private Integer subjectId;

    /** 删除标识 */
    private boolean deleted;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT +8")
    private LocalDateTime createAt;

    /** 数据库 */
    private MonitorDataSource monitorDataSource;

    /** 数据库高级设置 */
    private ProjectSyncRule projectSyncRule;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getProjectDescription() {
        return projectDescription;
    }

    public void setProjectDescription(String projectDescription) {
        this.projectDescription = projectDescription;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public boolean isDeleted() {
        return deleted;
    }

    public void setDeleted(boolean deleted) {
        this.deleted = deleted;
    }

    public LocalDateTime getCreateAt() {
        return createAt;
    }

    public void setCreateAt(LocalDateTime createAt) {
        this.createAt = createAt;
    }

    public MonitorDataSource getMonitorDataSource() {
        return monitorDataSource;
    }

    public void setMonitorDataSource(MonitorDataSource monitorDataSource) {
        this.monitorDataSource = monitorDataSource;
    }

    public ProjectSyncRule getProjectSyncRule() {
        return projectSyncRule;
    }

    public void setProjectSyncRule(ProjectSyncRule projectSyncRule) {
        this.projectSyncRule = projectSyncRule;
    }
}
